Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts
Interface JRValueAxisFormat

All Known Subinterfaces:
  JRAreaPlot, JRBar3DPlot, JRBarPlot, JRCandlestickPlot, JRHighLowPlot, JRLinePlot, JRTimeSeriesPlot

All Known Implementing Classes:
  JRBaseAreaPlot, JRBaseBar3DPlot, JRBaseBarPlot, JRBaseCandlestickPlot, JRBaseHighLowPlot, JRBaseLinePlot, JRBaseTimeSeriesPlot, JRDesignAreaPlot, JRDesignBar3DPlot, JRDesignBarPlot, JRDesignCandlestickPlot, JRDesignHighLowPlot, JRDesignLinePlot, JRDesignTimeSeriesPlot, JRFillAreaPlot, JRFillBar3DPlot, JRFillBarPlot, JRFillCandlestickPlot, JRFillHighLowPlot, JRFillLinePlot, JRFillTimeSeriesPlot

    public interface JRValueAxisFormat

Version:
  $Id: JRValueAxisFormat.java 3179 2009-10-30 10:03:01Z teodord $
Author:
  Flavus Sana (flavius_sana@users.sourceforge.net)

Method Summary
`java.awt.Color` | `getOwnValueAxisLabelColor()`
`java.awt.Color` | `getOwnValueAxisLineColor()`
`java.awt.Color` | `getOwnValueAxisTickLabelColor()`
`java.awt.Color` | `getValueAxisLabelColor()`
`JRFont` | `getValueAxisLabelFont()`
`java.awt.Color` | `getValueAxisLineColor()`
`java.awt.Color` | `getValueAxisTickLabelColor()`
`JRFont` | `getValueAxisTickLabelFont()`
`java.lang.String` | `getValueAxisTickLabelMask()`
`java.lang.Boolean` | `getValueAxisVerticalTickLabels()`

Method Detail

### getValueAxisLabelFont

    JRFont getValueAxisLabelFont()

### getValueAxisLabelColor

    java.awt.Color getValueAxisLabelColor()

### getOwnValueAxisLabelColor

    java.awt.Color getOwnValueAxisLabelColor()

### getValueAxisTickLabelFont

    JRFont getValueAxisTickLabelFont()

### getValueAxisTickLabelColor

    java.awt.Color getValueAxisTickLabelColor()

### getOwnValueAxisTickLabelColor

    java.awt.Color getOwnValueAxisTickLabelColor()

### getValueAxisTickLabelMask

    java.lang.String getValueAxisTickLabelMask()

### getValueAxisVerticalTickLabels

    java.lang.Boolean getValueAxisVerticalTickLabels()

### getValueAxisLineColor

    java.awt.Color getValueAxisLineColor()

### getOwnValueAxisLineColor

    java.awt.Color getOwnValueAxisLineColor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com